Read a past conversation: messages, tool calls and totals.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"captured_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"text_truncated": true,
"finish_reason": "<string>",
"tokens": 123,
"credits": 123,
"tools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_call_id": "<string>",
"position": 123,
"name": "<string>",
"runtime_seconds": 123,
"completed": true,
"approval_status": "<string>"
}
],
"tools_omitted": 123
}
],
"summary": {
"messages": 123,
"tool_calls": 123,
"failed_messages": 123,
"tokens": 123,
"credits": 123
},
"truncated": true,
"older": true
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}chat
Read a past conversation
Returns the newest limit messages, oldest first. truncated says when text or tools were cut.
GET
/
v1
/
workspaces
/
{workspace_id}
/
chat
/
transcripts
/
{conversation_id}
Read a past conversation: messages, tool calls and totals.
curl --request GET \
--url https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.cloudthinker.io/api/public/v1/workspaces/{workspace_id}/chat/transcripts/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"captured_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"text_truncated": true,
"finish_reason": "<string>",
"tokens": 123,
"credits": 123,
"tools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_call_id": "<string>",
"position": 123,
"name": "<string>",
"runtime_seconds": 123,
"completed": true,
"approval_status": "<string>"
}
],
"tools_omitted": 123
}
],
"summary": {
"messages": 123,
"tool_calls": 123,
"failed_messages": 123,
"tokens": 123,
"credits": 123
},
"truncated": true,
"older": true
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}{
"error": {
"code": "validation_error",
"category": "invalid_input",
"message": "<string>",
"action": "fix_input",
"action_target": "<string>",
"retryable": true,
"field_errors": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>"
}
]
},
"request_id": "<string>"
}Scope:
chat:transcripts:read. See API Tokens.Authorizations
Path Parameters
Response
OK
A past conversation: messages, tool calls and totals, oldest first.
Was this page helpful?